Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputAxis_Basic

CL_InputAxis interface used to ease manual implementation of an input axis.
Contained in: global
Derived from: CL_InputAxis
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

`` | `CL_InputAxis_Basic` | `()`;
`` | `CL_InputAxis_Basic` | `(`float` `pos`)`;
``virtual`` | `~CL_InputAxis_Basic` | `()`;

### Attributes:

``virtual` `float`` | `get_pos` | `()`;

### Operations:

``void`` | `set_pos` | `(`float` `pos`)`;

## Description:

## Function Member Descriptions:

CL_InputAxis_Basic::CL_InputAxis_Basic - Constructs an axis standing in center position.
`` `CL_InputAxis_Basic` `()`;

CL_InputAxis_Basic::CL_InputAxis_Basic - Constructs an axis standing in position 'pos'.
`` `CL_InputAxis_Basic` `(`float` `pos`)`;

> pos - Initial axis position. Range -1 to 1.

CL_InputAxis_Basic::get_pos - Returns the current axis position.
``virtual` `float`` `get_pos` `()`;

> Returns - The current axis position.

CL_InputAxis_Basic::set_pos - Set the current axis position.
``void`` `set_pos` `(`float` `pos`)`;

> pos - New axis position. Range -1 to 1.

CL_InputAxis_Basic::~CL_InputAxis_Basic - Input Axis Basic Destructor
``virtual`` `~CL_InputAxis_Basic` `()`;

## Variable Member Descriptions: